package com.xintong.visualinspection.dao.master;

import java.util.List;

import com.xintong.visualinspection.bean.*;
import com.xintong.visualinspection.pojo.StatisticExUser;
import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.pojo.TaskAndScore;

/**
 * 文件名：StatisticsDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface StatisticsDao  {
    
	public List<StatisticsBean> selectStatistics(StatisticsBean obj);
	
	public List<StatisticsBean> selectCheckedTimes(StatisticsBean obj);
	
	public List<StatisticsBean> selectFeeStationCheckNum(StatisticsBean obj);
	
	public List<StatisticsBean> selectFeeStationCheckedScore(StatisticsBean obj);
   
	public List<StatisticsBean> selectFeeStationCheckedPersonScoreDetail(StatisticsBean obj);
	
	public List<StatisticsBean> selectYearScoreInfo(StatisticsBean obj);
	
	public List<StatisticsBean> selectFeeStationScoreInfo(StatisticsBean obj);
	
	public List<StatisticsBean> selectCheckedScoreList(StatisticsBean obj);
	
	public List<StatisticsBean> selectCheckedItemScoreInfo(StatisticsBean obj);
	
	public List<StatisticsBean> selectOneCheckedInfoData(StatisticsBean obj);
	
	public List<StatisticsBean> selectOneCheckedItemInfo(StatisticsBean obj);
	
	public List<StatisticsBean> selectOneCheckedDetailInfo(StatisticsBean obj);
	
	public CheckmanStatisticsBean selectCheckManInfo(CheckmanStatisticsBean obj);
	
	public CheckmanStatisticsBean selectCheckManInfo1(CheckmanStatisticsBean obj);
	
	public CheckmanStatisticsBean selectCheckManInfo2(CheckmanStatisticsBean obj);
	
	public CheckmanStatisticsBean selectCheckManInfo3(CheckmanStatisticsBean obj);

    public List<Task> getAllTasklist(StatisticsFsWork obj);

	
	public List<StatisticsFsWork> selectFsWork(StatisticsFsWork obj);
	
	public List<StatisticsFsWork> selectFsWorkGather(StatisticsFsWork obj);
	
	public List<StatisticsFsWork> selectFsUnregularWork(StatisticsFsWork obj);
	
	public List<StatisticsFsWork> selectFsUnregularWorkGather(StatisticsFsWork obj);
	
	public List<StatisticsFsWork> selectFsWorkGatherGroupByWorkType(StatisticsFsWork obj);
	
	public List<StatisticsFsWork> selectFsUnregularWorkGatherGroupByWorkType(StatisticsFsWork obj);
	
	public List<CheckAppealStatistic> selectCheckAppealNum(CheckAppealStatistic obj);
	
	public List<TaskAndScore> selectMList(TaskAndScore obj);
	
	public Integer selectCheckedNum(StatisticsBean obj);

	public List<StatisticsBean> getselectFeeStationOperationScoreDetail(StatisticsBean obj);

	public List<StatisticsBean> selectBFStatistics(StatisticsBean obj);
	
	public List<StatisticsBean> selectWreckerInfo(StatisticsBean obj) ;
	
	public List<WreckerGroup> selectWreckerOrgan();
	
	
	public List<WreckerStatisticsBO> selectWreckerStaff(WreckerStatisticsBO obj);
	
	public List<WreckerStatisticsBO> selectWreckerStatisticDetail(WreckerStatisticsBO obj);
	
	public List<WreckerStatisticsBO> selectWreckerStatistic(WreckerStatisticsBO obj);


    public List<UserChangeStation> selectuserchangestation(StatisticsBean obj);

    public List<StatisticExUser> getcheckSExUser(StatisticExUser statisticExUser);

	public void deletecheckSExUser(StatisticExUser statisticExUser);

	public void addcheckSExUser(StatisticExUser statisticExUser);

}
